 
html {
    font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}
 
.bg-blue, .bg-primary {
    background-color: rgb(1,57,131) !important;
    color: #fff;
}

.btn-check:checked + .btn {
    background-color: rgb(1,57,131) !important;
}
.btn-primary {
    background-color: rgb(1,57,131) !important;
    color: #fff;
}

.link-primary {
    color: rgb(1,57,131) !important;  
}

.text-primary {
    color: rgb(1,57,131) !important;
}


.border-primary {
    border-color: rgb(1,57,131) !important;
}

.progressBlue {
    height: 0.2rem !important;
    background-color: #adb5bd !important;
}

@media print {
    .no-print {
        display: none;
    }

    .only-print {
        display: block !important;
    }

    .content-to-print {
        width: 100%; /* Full width */
        margin: 0; /* No margin */
        max-width: none; /* Ignore the max-width from Bootstrap container */
    }

    .page-break {
        page-break-before: always;
    }

    .no-print-border {
        border: none !important;
        box-shadow: none !important;
    }
}
.form-floating > .form-control:not(:focus):placeholder-shown + label {
    opacity: 0.75;
    font-style: italic;
}

.btn-outline-primary:hover {
    background-color: white !important;
    color: black !important;
    border-color: rgb(1,57,131) !important;
    box-shadow: 0 0 0 .15rem rgba(13,110,253,.25);
}

.btn-outline-primary {
    border-color: rgb(1,57,131) !important;
    color: rgb(1,57,131);
}

.btn-outline-primary.active {
    background-color: rgb(1,57,131) !important;
    color: white;
}

.btn:disabled {
    color: gray !important;
    border-color: gray !important;
    cursor: not-allowed !important;
}

.form-control:disabled {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

.form-select:disabled {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

.form-control:focus  {
    box-shadow: 0 0 0 .10rem rgba(13, 110, 253, .15);
}

.form-switch .form-check-input:focus {
    box-shadow: 0 0 0 .10rem rgba(13, 110, 253, .15);
}


.btn:focus {
    box-shadow: 0 0 0 .10rem rgba(13, 110, 253, .15);
}

.card-header {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

.card-view-title {
    min-width: 50% !important;
}

@media screen and (max-width: 767px) {
    .table tbody .card-view {
        margin-top: 5px;
        padding: 5px 5px;
        border-radius: 5px;
        transition: transform 0.2s, box-shadow 0.1s;
        font-size: 16px;
    }

    .card-views .card-view:first-child {
        background-color: rgb(1, 57, 131) !important;
        color: #fff;
        padding: 10px 10px;
    }
}

.blue-badge {
    background-color: rgb(224, 238, 247);
    border: 1px solid rgb(153, 198, 230);
    color: #212529;
    padding: .25rem .7rem;
    font-weight: 600;
    font-size: 1rem;
}

.textarea-scroll-h-fix { 
    overflow-y: auto;
    resize: none;
}

.active > .page-link, .page-link.active { 
    background-color: rgb(1,57,131) !important;  
}

.footer { 
    margin-bottom: 5px; 
}

.table {
    /* Important: allows border-radius to work on individual cells */
    border-collapse: separate;
    /* Adjust the spacing between cells if needed */
    border-spacing: 0;
    border: 1px solid black; /* Optional: adds a border around the entire table */
    border-radius: 10px; /* Optional: rounds the outer edge of the table element itself */
    overflow: hidden; /* Important: clips inner content that extends beyond the rounded corners */
}

.table-bordered > :not(caption) > * > * {
    border-width: 0;
    border-bottom-width: 1px;
    border-bottom-color: #c6c7c8;
}

.form-check-input:checked {
    background-color: rgb(1,57,131) !important;;
    border-color: rgb(1,57,131) !important;;
}
 